import { UniDriver } from '@wix/wix-ui-test-utils/unidriver';
import { baseUniDriverFactory } from '../../../../unidriver';

export function MediaGalleryEditUniDriver(base: UniDriver, _body: UniDriver) {
  return {
    ...baseUniDriverFactory(base),
    hasAddButton: () =>
      base.$('[data-hook="gallery-edit-add-button"]').exists(),
    hasMoreButton: () =>
      base.$('[data-hook="gallery-edit-more-button"]').exists(),
    hasAvatarGroup: () =>
      base
        .$('[data-hook="media-gallery-edit"] [data-hook="avatar-item"]')
        .exists(),
  };
}
